table {
    border: 1px solid black;
    width: 100%;
    border-collapse: collapse;
}

tr,
td {
    border: 1px solid black;
}

td {
    padding: 5px;
}

tr:hover {
    background-color: yellow;
}

#texte:invalid {
    background-color: pink;
}

#texte:valid {
    background-color: lightGreen;
}

.bordureRouge {
    border: 2px dashed red;
}

#autreButton{
    background-color: transparent;
    border: none;
    cursor: pointer;
}